## ams 2.0.1

=== debian/changelog ===
ams (2.0.1-5) unstable; urgency=low

  * Add patch to fix FTBFS with binutils-gold.
  * Add patch to fix spelling errors.
  * Enable dh-autoreconf.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Mar 2011 12:39:07 +0100

ams (2.0.1-4) unstable; urgency=low

  * debian/patches/03-null_jack_handle.patch:
    - Fix crash when jack_handle is NULL (LP: #553366).
  * Switch to format 3.0 (quilt).
  * debian/control:
    - Update my e-mail address.
    - Bump Standards.
    - Remove "DM-Upload-Allowed: yes" field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Oct 2010 10:09:29 +0200

ams (2.0.1-3) unstable; urgency=low

  * debian/ams.1: Fix manpage whatis entry.
  * Rebuild with new libclalsadrv.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 18 Apr 2010 03:11:14 +0200

ams (2.0.1-2) unstable; urgency=low

  * Bump Standards.
  * Add 02-armel_minmaxfix.patch to prevent FTBFS on armel, thanks to
    Peter Green for the patch (Closing: #570848).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 25 Feb 2010 08:19:45 +0100

ams (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Append -ldl to LDFLAGS to fix build failure with binutils-gold
    (Closes: #553677).
  * Set DM-Upload-Allowed to 'yes'.
  * debian/copyright updated to follow DEP-5

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 02 Jan 2010 17:12:50 +0100

ams (2.0.0-1) unstable; urgency=low

  * Change maintainer to Debian Multimedia Maintainers.
  * New upstream release.
  * Bump Standards.
  * Add ${misc:Depends} macro to the Depends field.
  * Add myself to Uploaders field.
  * Add Vcs-* fields.
  * Add Homepage field.
  * Improve extended description (to make lintian happy).
  * Fix desktop file as per spec.
  * Switch to debhelper 7.
  * Switch from dpatch to quilt.
  * Update build-dependencies due to the Qt3->Qt4 porting.
  * Replace build-dependency on libjack0.100.0-dev with libjack-dev
    (Closes: #427402).
  * debian/docs: Don't install demos, instruments and tutorials, they're
    already installed under /usr/share/ams/ (Closes: #526533).
  * Fix debian/menu.
  * Fix watch file.
  * Old patches in debian/patches/*.dpatch:
    - 10makefile: Dropped, not needed anymore.
    - 11ams_launch_script: Converted to quilt, now 01-ams_launch_script.patch
    - 12default_patch_dir: Already dropped, remove this.
    - 13outdate_code: Dropped.
    - 14_spectrum: Dropped.
    - 15_qt3_headers: Dropped.
  * debian/README.source: Document how to patch the sources.
  * debian/patches/01-ams_launch_script.patch:
    - Updated --presets-path to /usr/share/ams (Closes: #526533).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 09 Dec 2009 22:17:00 +0100

ams (1.8.8~rc2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop dependency on libqt3-compat-headers, which is scheduled for
    removal, patch by Barry deFreese (Closes: #464092)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 27 Mar 2008 19:32:38 +0100

ams (1.8.8~rc2-3) unstable; urgency=low

  * Recommends vco rev and amb plugins
  * Fixed wach file (Closes: #450139)
  * Applied patch for spectrum displays (Closes: #450609)

 -- Free Ekanayaka <freee@debian.org>  Thu, 13 Dec 2007 11:17:19 +0000

ams (1.8.8~rc2-2) unstable; urgency=low

  * Unset "-march=k8" in the upstream Makefile (Closes: #430409)

 -- Free Ekanayaka <freee@debian.org>  Tue, 10 Jul 2007 00:19:55 +0200

ams (1.8.8~rc2-1) unstable; urgency=low

  * New upstream release
  * Changed name in .desktop file (Ams -> Alsa Modular Synth)

 -- Free Ekanayaka <freee@debian.org>  Wed, 20 Jun 2007 02:02:01 +0200

ams (1.8.7-6) unstable; urgency=low

  * Using exec in wrapper script to launch ams.real
  * Added /usr/local/ladspa to the LADSPA_PATH env variable
  * Set Maintainer to debian-multimedia
  * Added Junichi and me to the uploaders
  * Fixed broken watch file
  * Updated standards to 3.7.2
  * Updated compat version
  * Depend on mcp-plugins, cmt and swh-plugins, as they are needed by
    the example patches
  
 -- Free Ekanayaka <freee@debian.org>  Tue, 27 Mar 2007 11:06:34 +0200

ams (1.8.7-5) unstable; urgency=low

  * Removed useless debconf dependency

 -- Free Ekanayaka <free@agnula.org>  Thu, 29 Sep 2005 09:25:57 +0100

ams (1.8.7-4) unstable; urgency=low

  * Built against the newly transitioned qt3 libraries

 -- Free Ekanayaka <free@agnula.org>  Tue, 23 Aug 2005 12:18:48 +0200

ams (1.8.7-3) unstable; urgency=low

  * Bug fix: "bug in ams script", thanks to James Stone (Closes: #311847).
  * Launch with --presetpath=/usr/share/doc/ams/demos
  * Launch with --jack if jackd is running
  * Build depends on libjack 0.100.0 (Closes: #317182)
  * Added .desktop file for GNOME menus

 -- Free Ekanayaka <free@agnula.org>  Tue, 20 Jul 2005 13:45:01 +0200

ams (1.8.7-2) unstable; urgency=low

  * Fixed watch file
  * Removed useless libc6-dev build dependency
  * Bug fix: "ams: Menu Icon please", thanks to tim hall (Closes:
    #299409).

 -- Free Ekanayaka <free@agnula.org>  Wed, 23 Mar 2005 11:43:56 +0100

ams (1.8.7-1) unstable; urgency=low

  * New upstream release
  * First Debian upload (closes: #203902), sponsored by 
    Cosimo Alfarano <kalfa@debian.org>
  * Updated Standards-Version to 3.6.1.1
  
 -- Free Ekanayaka <free@agnula.org>  Tue, 31 Aug 2004 14:21:00 +0200

ams (1.8.6-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <free@agnula.org>  Tue, 20 Jul 2004 14:35:18 +0200

ams (1.7.7-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <free@agnula.org>  Wed, 14 Apr 2004 14:27:17 +0200

ams (1.7.6-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <free@agnula.org>  Fri, 12 Mar 2004 14:39:28 +0100

ams (1.7.1-0test2) unstable; urgency=low

  * the /usr/bin/ams wrapper script wasn't considering command line
    paramenters when launching /usr/share/ams.real. fixed adding a
    simple $\@

 -- Free Ekanayaka <free@agnula.org>  Fri, 16 Jan 2004 13:10:26 +0100

ams (1.7.1-0test1) unstable; urgency=low


