=== debian/control ===
Source: ams
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Junichi Uekawa <dancer@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 libqt4-dev,
 libqt4-opengl-dev,
 ladspa-sdk,
 libasound2-dev,
 libjack-dev,
 fftw-dev,
 sfftw-dev,
 libclalsadrv-dev (>= 1.0.1-3)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ams.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ams.git;a=summary
Homepage: http://alsamodular.sourceforge.net/

Package: ams
Architecture: any
Depends: ${shlibs:Depends},
 mcp-plugins,
 swh-plugins,
 cmt,
 ${misc:Depends}
Recommends: amb-plugins, vco-plugins, rev-plugins
Description: Realtime modular synthesizer for ALSA
 AlsaModularSynth is a realtime modular synthesizer and effect processor.
 It features:
  * MIDI controlled modular software synthesis.
  * Realtime effect processing with capture from e.g. "Line In" or "Mic In".
  * Full control of all synthesis and effect parameters via MIDI.
  * Integrated LADSPA Browser with search capability.
  * JACK Support.
