=== debian/watch ===
version=3
http://sf.net/alsamodular/ams-(.*)\.tar\.gz debian uupdate
