## ams 2.1.1

=== debian/changelog ===
ams (2.1.1-1.1) unstable; urgency=medium

  * Explicitly set C++ standard version to gnu++98 to fix build under GCC 6
    (fixes #811645) 

 -- Andreas Stührk <andy@hammerhartes.de>  Sat, 24 Sep 2016 16:49:52 +0200

ams (2.1.1-1) unstable; urgency=low

  * New upstream release:
    - Fixed Bugs
      + Fix crash on loading patches with missing
        LADSPA libraries.
    - New Features
      + SIGTERM handler.
      + NSM support (programmed by Roy Vegard Ovesen)
      + Mouse hover port highlighting.
      + Full screen mode view (F11).
    - General Changes
      + German translation update.
      + Some internal cleanups.
  * Update watch file to point to upstream's BZ2 tarball.
  * Drop 05-spelling_errors.patch, fixed upstream.
  * debian/copyright:
    - Add copyright and licensing information on src/nsm.h.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Apr 2014 17:26:18 +0100

ams (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility.
  * s/fftw-dev/libfftw3-dev/ in Depends field.
  * Drop 02-armel_minmaxfix.patch, adopted upstream.
  * Drop 03-null_jack_handle.patch, adopted upstream.
  * Drop 04-binutils_gold.patch, already accepted by upstream.
  * Enable parallel builds.
  * Update debian/copyright.
  * Update debian/watch, remove "debian uupdate".
  * Fix VCS URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Mar 2014 22:48:42 +0000
