=== debian/control ===
Source: ams
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Junichi Uekawa <dancer@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-autoreconf,
 ladspa-sdk,
 libasound2-dev,
 libclalsadrv-dev (>= 1.0.1-3),
 libfftw3-dev,
 libjack-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 sfftw-dev
Standards-Version: 3.9.5
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/ams.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ams.git
Homepage: http://alsamodular.sourceforge.net/

Package: ams
Architecture: any
Depends:
 cmt,
 mcp-plugins,
 swh-plugins,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 amb-plugins,
 rev-plugins,
 vco-plugins
Description: Realtime modular synthesizer for ALSA
 AlsaModularSynth is a realtime modular synthesizer and effect processor.
 It features:
  * MIDI controlled modular software synthesis.
  * Realtime effect processing with capture from e.g. "Line In" or "Mic In".
  * Full control of all synthesis and effect parameters via MIDI.
  * Integrated LADSPA Browser with search capability.
  * JACK Support.
