=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 
+export DEB_CXXFLAGS_MAINT_APPEND=-std=gnu++98
 LDFLAGS += -ldl
 
 %:
-	dh $@ --with=autoreconf
+	dh $@ --parallel --with=autoreconf
 
 override_dh_auto_install:
 	dh_auto_install
