=== debian/watch ===
version=3
http://sf.net/alsamodular/ams-(.*)\.tar\.bz2
