## ams 2.1.2

=== debian/changelog ===
ams (2.1.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:35 +0100

ams (2.1.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/patches: Apply upstream patches to switch to Qt 5 and fixes for
    some other smaller issues. (Closes: #874823)
  * debian/: Bump debhelper compat to 12.
  * debian/control:
    - Bump Standards-Version.
    - Switch to Qt 5.
  * debian/menu: Remove in favor of desktop file.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Aug 2019 14:13:33 +0200
