=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: ams
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Junichi Uekawa <dancer@debian.org>,
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper (>= 9~),
- dh-autoreconf,
+ debhelper-compat (= 12),
  ladspa-sdk,
  libasound2-dev,
  libclalsadrv-dev (>= 1.0.1-3),
  libfftw3-dev,
  libjack-dev,
- libqt4-dev,
- libqt4-opengl-dev,
+ qtbase5-dev,
+ libqt5opengl5-dev,
+ qttools5-dev-tools,
  sfftw-dev
-Standards-Version: 3.9.5
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-multimedia/ams.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ams.git
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/ams.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ams
 Homepage: http://alsamodular.sourceforge.net/
 
 Package: ams
