=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -ldl

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/ams/usr/bin/ams debian/ams/usr/lib/ams/ams.real
	mv ams debian/ams/usr/bin/ams
