=== debian/watch ===
version=3
https://sf.net/alsamodular/ams-(.*)\.tar\.bz2
