## ams 2.2.0

=== debian/changelog ===
ams (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Remove 0002-0015 patches, applied by upstream
  * Fix OPTIONS and tag ams_launch_script patch as Forwarded: not-yet
  * Fix spell errors
  * Add keywords to the desktop file
  * Add hardening
  * Add me as uploader
  * Set RRR: no
  * Add jackd as Recommends
  * d/copyright: http -> https
  * Add d/upstream/metadata
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 29 Dec 2020 20:46:41 +0100

ams (2.1.2-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 1.8.7-3.

  [ Sebastian Ramacher ]
  * debian/control:
    - Add B-D on liblo-dev (Closes: #975375)
    - Bump debhelper compat to 13
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Nov 2020 22:38:24 +0100
