=== debian/control ===
--- 
+++ 
@@ -3,21 +3,24 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Free Ekanayaka <freee@debian.org>,
  Junichi Uekawa <dancer@debian.org>,
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ladspa-sdk,
  libasound2-dev,
  libclalsadrv-dev (>= 1.0.1-3),
  libfftw3-dev,
  libjack-dev,
+ liblo-dev,
+ libqt5opengl5-dev,
  qtbase5-dev,
- libqt5opengl5-dev,
  qttools5-dev-tools,
  sfftw-dev
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/ams.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ams
 Homepage: http://alsamodular.sourceforge.net/
@@ -33,7 +36,8 @@
 Recommends:
  amb-plugins,
  rev-plugins,
- vco-plugins
+ vco-plugins,
+ jackd
 Description: Realtime modular synthesizer for ALSA
  AlsaModularSynth is a realtime modular synthesizer and effect processor.
  It features:
