## ams 2.2.1

=== debian/changelog ===
ams (2.2.1-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop unused B-D sfftw-dev

  [ Dennis Braun ]
  * Fix binary build after successful build (Closes: #1049773)
  * Bump Standards-Version to 4.7.2
  * Apply wrap-and-sort -ast

 -- Dennis Braun <snd@debian.org>  Sun, 04 May 2025 17:10:34 +0200

ams (2.2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Use secure URI in Homepage field.

  [ Dennis Braun ]
  * New upstream version 2.2.1
    + Removed bashism from configure script (Closes: #999382)
  * Drop spelling error patch, applied by upstream
  * Change my email address
  * Add libjack-jackd2-dev as optional build dependency
  * Bump Standards-Version to 4.6.2
  * d/copyright: Add myself to the d/ section
  * Drop obsolete d/dirs file
  * d/rules: Create usr/lib/ams before copying the binary

 -- Dennis Braun <snd@debian.org>  Fri, 16 Jun 2023 23:10:33 +0200
