=== debian/control ===
Source: ams
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Junichi Uekawa <dancer@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 libasound2-dev,
 libclalsadrv-dev,
 libfftw3-dev,
 libjack-dev | libjack-jackd2-dev,
 liblo-dev,
 libqt5opengl5-dev,
 qtbase5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/multimedia-team/ams.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ams
Homepage: https://alsamodular.sourceforge.net/

Package: ams
Architecture: any
Depends:
 cmt,
 mcp-plugins,
 swh-plugins,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 amb-plugins,
 jackd,
 rev-plugins,
 vco-plugins,
Description: Realtime modular synthesizer for ALSA
 AlsaModularSynth is a realtime modular synthesizer and effect processor.
 It features:
  * MIDI controlled modular software synthesis.
  * Realtime effect processing with capture from e.g. "Line In" or "Mic In".
  * Full control of all synthesis and effect parameters via MIDI.
  * Integrated LADSPA Browser with search capability.
  * JACK Support.
