=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	mkdir -p debian/ams/usr/lib/ams
 	mv debian/ams/usr/bin/ams debian/ams/usr/lib/ams/ams.real
-	mv ams debian/ams/usr/bin/ams
+	cp ams debian/ams/usr/bin/ams
