=== debian/watch ===
version=4
https://sf.net/alsamodular/ams-(.*)\.tar\.bz2
