=== dotagent/knowledgebase/document_loaders/azstorage_blob/requirements.txt ===
azure-storage-blob 
azure-identity
