=== dotagent/knowledgebase/document_loaders/boarddocs/requirements.txt ===
bs4
html2text
requests
