=== dotagent/knowledgebase/document_loaders/confluence/requirements.txt ===
atlassian-python-api
html2text
pytesseract
pdf2image
Pillow
docx2txt
xlrd
svglib
retrying
