=== dotagent/knowledgebase/document_loaders/feedly_rss/requirements.txt ===
feedly-client
