=== dotagent/knowledgebase/document_loaders/feishu_docs/requirements.txt ===
dotagent
requests
