=== dotagent/knowledgebase/document_loaders/google_keep/requirements.txt ===
gkeepapi
