=== dotagent/knowledgebase/document_loaders/maps/requirements.txt ===
osmxtract
geopy
