=== dotagent/knowledgebase/document_loaders/weather/requirements.txt ===
pyowm
